Skip to:
Content
Pages
Categories
Search
Top
Bottom

BuddyStream Lite – Goliath Version, to be released on May 1st.

  • Avatar of Pisanojm
    Pisanojm
    Participant

    @pisanojm

    Hello all,

    I am pleased to make an exciting announcement. The new BuddyStream plug-in has been completely re-coded from scratch and a new, more efficient, code engine has taken its place. @blackphantom has decided to begin naming each release of Buddystream after various species of butterflies, fittingly the first is entitled Goliath and is now set to fly free on May 1st, 2011.

    There will now be two forks to choose with the BuddyStream version: The BuddyStream “LITE” version will include Twitter, Last.fm, Flickr, and Youtube functionality. In addition, the new Goliath, lite, version includes Twitter support for both Yfrog and TwitPic. This version will remain free.

    In order to off-set the costs of supporting and developing such an extensive and useful plugin to the BuddyPress family, there will also not be a “PREMIUM” version. The premium version will launch approximately two weeks after the launch of the lite version. The premium version is set to launch with Facebook and at least one other extension, which will not be named until the launch of the Lite version.

    The BuddyStream Website is being re-vamped as well and formal support will be offered there to members that have purchased the premium version. Gaining funding for this project will be a three tiered approach: Premium Plugin purchases (which will include support), the development of specific plugin needs or features, and through donations (as we all know, a losing battle for plugin developers). The hope is that there will be a baseline of money coming in to support the future development and interested in this plugin for the foreseeable future.

    As a special thank-you to those that have already given a donation, we will be giving them a premium purchase subscription until January of 2012, which will entitle them to plugin support and all premium upgrades until their renewal date on 1/1/2012.

    Many bugs have been fixed in this coming update and it’s faster, more stable, leaner, and just plain COOLER. It’s getting exciting!

    You can keep up with announcements concerning the launch at http://buddystream.net

    Here is a sneak peek of the new back-end:

    http://yfrog.com/gz8e1sij

Viewing 16 replies - 1 through 16 (of 16 total)
  • Avatar of skateage
    skateage
    Participant

    @skateage

    I am really looking forward to this!

    Avatar of James
    James
    Participant

    @janismo

    hi @pisanojm ,

    could you please share some info re its requirements, e.g. WP…BP…?

    thanks.

    Avatar of Pisanojm
    Pisanojm
    Participant

    @pisanojm

    Hi James,

    Unfortunately, I cannot share anything at the moment, beyond Json/Curl/and PHP 5.3+ being a minimum. Many people have had CRON issues with the past plug-ins, some because they don’t understand CRON or their hosts don’t permit it… We will also be offering a minimal-cost, external CRON, feature with this release (or shortly thereafter).

    This will certainly be a BP plugin and will not work with standard WP as there is no need for it in a standard WP environment.

    Regards.

    cc: @blackphantom

    Avatar of gregfielding
    gregfielding
    Participant

    @gregfielding

    Looks awesome guys. Very exciting!

    Avatar of nanchante
    nanchante
    Participant

    @nanchante

    php 5.3 really?

    There is no way we can move to 5.3 as there are so many issues with upgrading websites to it. Does this really have to be a minimum spec? It cuts out a LOT of websites.

    Please can there be a 5.2.X min req?

    Avatar of Hugo
    Hugo
    Moderator

    @hnla

    Have you really tested against PHP versions? To state min 5.3 is really quite limiting the vast majority of hosting shared and bare bones VPS will be running a distro such as CentOS which as standard comes with 5.1.6 better hosts will have upgraded that to 5.2.*, if you’re having to upgrade this yourself as I often have to and via RPM it’s hard to find any repos with greater than 5.2.

    I tried to get the original plugin working but – like many – was unable, I even provide access to my server for blackphantom to have a look at things but there was never any resolution. now you have re-written things it feels as though you have written in a barrier to many using it, I have a stable running server using 5.2 upgrading is not an option until I find a repo with 5.3 or greater but even then it’s a upgrade that can have consequences and not one I’d ever rush at.

    Avatar of nanchante
    nanchante
    Participant

    @nanchante

    Agreed. I manage 100+ sites, and moving to 5.3 would be catastrophic.

    Sure, program for 5.3, but please consider a patch or something for the vast bulk of us who are poor 5.2’ers

    Avatar of Nm
    nm
    Participant

    @nahummadrid

    which version will work?

    Avatar of josemv
    josemv
    Participant

    @el_terko

    Gee, I am on bluehost and it is using PHP v 5.2.17

    Avatar of RedeemedMedia
    RedeemedMedia
    Member

    @redeemedmedia

    I can not wait for this to come out. It would be nice if you could launch it early. What is the price looking like?

    Avatar of nanchante
    nanchante
    Participant

    @nanchante

    “It would be nice if you could launch it early”

    LMAO. I don’t know of a single development that has launched early!

    Laughing with you though, not at you of course :D

    Hi,

    Can you please tell me what do you mean in “facebook integration”?
    Main objective for me right now is to find a plugin who can:
    – implement facebook connect on my buddypress instalation
    – when creating user account via facebook connect, allow user to choose desired username (and not autogenerate it based on name or smthn)
    – sync user profiles with facebook data and/or avatars with facebook profile pictures
    – give user an option to publish their comments and/or other activity on BP website to their facebook walls
    – features for users attaching/deattaching their current WP-BP’s account to facebook’s

    Will the BuddyStream premium have these features?
    I’m asking because I have to decide ASAP to wait for it’s release or to go with some other plugin right away.

    Thanks.

    Avatar of Peter Hofman
    Peter Hofman
    Participant

    @blackphantom

    @Rocko88 please check out our website on 1 may so you can see what BuddyStream does. I think you have to look to some other plugins to with other functionality.

    Avatar of Peter Hofman
    Peter Hofman
    Participant

    @blackphantom

    Everybody, just to give some info about there specification.

    BuddyStream Goliath php version will be unchanged so if the current version of BuddyStream works i can assure you that Goliath will work to.

    BuddyStream Goliath will also work with the latest versions of BuddyPress and WordPress.

    Cronjobs are still required, but we are launching a cronservice for the plugin to make verything a lot easier!
    For the Premium version cronservice will be free.

    That is all for now! See you on 1 may.

    Avatar of Peter Hofman
    Peter Hofman
    Participant

    @blackphantom

    Please see the roadmap post :)

Viewing 16 replies - 1 through 16 (of 16 total)

You must be logged in to reply to this topic.